/*
 File: TS_path1a.cpp
 Date and Time: Sat Oct 11 20:57:24 2014 
*/
#include "TS_path1a.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_TS_path1a;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 2;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
}
  CTS_path1a::
  CTS_path1a()
    :yacco2::CAbs_fsm
      ("TS_path1a.lex"
      ,"1.0"
      ,"17 Juin 2003"
      ,true
      ,"Pathological grammar -- does not derives a terminal string"
      ,"Sat Oct 11 20:57:24 2014 "
      ,S1_CTS_path1a){
    
  }
 
CTS_path1a::~CTS_path1a(){

  for(int x = 0;x < 2;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool CTS_path1a::failed(){
      return false;
  }
  void CTS_path1a::op(){
}
int CTS_path1a::rhs_to_rules_mapping_[4] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
}; 
Rstart::Rstart(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rstart",0,CTS_path1a::R_Rstart_,P,true,true){
}

RA::RA(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RA",0,CTS_path1a::R_RA_,P,true,true){
}

